<h3>Sign-up</h3>

<form [formGroup]="loginform" (ngSubmit)="submitClicked()">
  <input type="text" placeholder="Enter First Name" formControlName="f_name">

  <div *ngIf="(loginform.get('f_name')?.touched && loginform.get('f_name')?.invalid)">
    <span *ngIf="(loginform.get('f_name')?.errors?.['required'])">
      please Enter valid Name
    </span>
  </div>

  <input type="text" placeholder="Enter Last Name" formControlName="l_name">

  <div *ngIf="(loginform.get('l_name')?.touched && loginform.get('l_name')?.invalid)">
    <span *ngIf="(loginform.get('l_name')?.errors?.['required'])">
      please Enter valid Name
    </span>
  </div>

  <input type="email" placeholder="Enter Email" formControlName="email">

  <div *ngIf="(loginform.get('email')?.touched && loginform.get('email')?.invalid)">
    <span *ngIf="(loginform.get('email')?.errors?.['required'])">
      please Enter valid email
    </span>
    <span *ngIf="(loginform.get('email')?.errors?.['email'])">
      please Enter valid email
    </span>
  </div>
  

  <input type="text" placeholder="Enter Addres" formControlName="addres">

  <div *ngIf="(loginform.get('addres')?.touched && loginform.get('addres')?.invalid)">
    <span *ngIf="(loginform.get('addres')?.errors?.['required'])">
      please Enter valid addres
    </span>
  </div>
  

  <button routerLink={{valid}}>Submit</button>
</form>

<router-outlet></router-outlet>